package com.itbaizhan.service;

import com.itbaizhan.User;
import com.itbaizhan.api.UpdateService;
import com.itbaizhan.mapper.UserMapper;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 更新用户业务
 */
@Service
public class UpdateUserServiceImpl implements UpdateService {
    @Autowired
    private UserMapper userMapper;
    @Override
    public User findByUserId(Long userId) {
        return userMapper.selectById(userId);
    }

    @Override
    public int updateUser(User user) {
        return userMapper.updateById(user);
    }
}
