package com.itbaizhan.controller;

import com.itbaizhan.User;
import com.itbaizhan.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 用户控制层
 */
@Controller
@RequestMapping("/user")
public class UserController {
    /**
     * 添加用户
     */
    @Autowired
    private UserService userService;
    @PostMapping("/addUser")
    public String addUser(User user){
        userService.addUser(user);
        return "redirect:/ok";
    }
}
