package com.itbaizhan.service.impl;

import com.itbaizhan.User;
import com.itbaizhan.api.AddUserService;
import com.itbaizhan.service.UserService;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Service;

/**
 * 用户业务层
 */
@Service
public class UserServiceImpl implements UserService {
    //远程调用服务  ---这里写接口类
    @Reference
    AddUserService userService;

    /**
     * 添加用户
     */
    @Override
    public int addUser(User user) {
        return userService.addUser(user);
    }
}
